# GET /scheduled-communications/:id

**Resource:** [Scheduled Communications](./scheduled-communications.md)  
**Scopes:** `dispatcher:read`  
**Write operation:** no

Retrieve a single scheduled communication by ID with full status, payload, and dispatch result (dispatched_external_id, dispatched_at, attempt_count, last_error).

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `id` | path | uuid | yes | Scheduled communication UUID |

## Request example

```bash
curl -X GET \
  "https://api.trustpager.com/functions/v1/api/v1/scheduled-communications/60b5889e-c8e1-4273-836e-67a3f0b3231a" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": {
    "id": "60b5889e-c8e1-4273-836e-67a3f0b3231a",
    "channel": "voice_call",
    "status": "dispatched",
    "scheduled_for": "2026-04-24T08:00:00+00:00",
    "timezone": "Australia/Sydney",
    "respect_business_hours": true,
    "payload": { "voice_agent_outbound_config_id": "...", "to_number": "+61412345678" },
    "attempt_count": 1,
    "dispatched_at": "2026-04-24T08:00:47Z",
    "dispatched_external_id": "call_abc123",
    "last_error": null,
    "source": "api"
  }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`